﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
		<section name="nlog" type="NLog.Config.ConfigSectionHandler, NLog" />
		<sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="VECTOTrailer.Properties.SimulationSettings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
            <section name="VECTOTrailer.Properties.Simulation" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
            <section name="VECTOTrailer.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
        </sectionGroup>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="VECTOTrailer.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
        </sectionGroup>
    </configSections>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
    </startup>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Ninject" publicKeyToken="c7192dc5380945e7" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.3.6.0" newVersion="3.3.6.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Windows.Interactivity" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.5.0.0" newVersion="4.5.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
	<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.nlog-project.org/schemas/NLog.xsd NLog.xsd" autoReload="false" throwExceptions="false" internalLogLevel="Off" internalLogFile="c:\temp\nlog-internal.log">
		<targets async="true">
			<target xsi:type="Console" name="ConsoleLogger" error="true" />
			<!--<target name="WarningLogger" xsi:type="MethodCall" className="VECTOTrailer" methodName="LogMethod">
				<parameter layout="${level}" />
				<parameter layout="${message}" />
			</target>-->
			<target xsi:type="File" name="LogFile" fileName="${basedir}/logs/log.txt" layout="${longdate} [${processid}:${threadid}@${machinename}] ${callsite:skipFrames=1} ${level:uppercase=true}: ${message} ${exception:format=tostring}" keepFileOpen="false" archiveFileName="${basedir}/logs/archive{#}.txt" maxArchiveFiles="1" archiveAboveSize="10000000" />
			<target xsi:type="File" name="BackgroundWorker" fileName="${basedir}/logs/backgroundSimulation.txt" layout="${longdate} [${processid}:${threadid}@${machinename}] ${callsite:skipFrames=1} ${level:uppercase=true}: ${message} ${exception:format=tostring}" keepFileOpen="false" archiveFileName="${basedir}/logs/backgroundArchive{#}.txt" maxArchiveFiles="1" archiveAboveSize="10000000" />
		</targets>
		<rules>
			<logger name="TUGraz.VectoCore.Models.Simulation.Impl.SimulatorFactory" minlevel="Info" writeTo="LogFile" />
			<logger name="BackGroundSimulator" minlevel="Trace" writeTo="BackgroundWorker" />
			<logger name="*" minlevel="Warn" writeTo="LogFile" />
			<logger name="*" minlevel="Error" writeTo="LogFile" />
		</rules>
	</nlog>
  <userSettings>
    <VECTOTrailer.Properties.SimulationSettings>
      <setting name="WriteModData" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="WritePDFReport" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="BackgroundWriteModData" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="BackgroudWritePDF" serializeAs="String">
        <value>False</value>
      </setting>
    </VECTOTrailer.Properties.SimulationSettings>
    <VECTOTrailer.Properties.Simulation>
      <setting name="WriteModData" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="WritePDFReport" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="BackgroundWriteModData" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="BackgroudWritePDF" serializeAs="String">
        <value>False</value>
      </setting>
    </VECTOTrailer.Properties.Simulation>
    <VECTOTrailer.Properties.Settings>
      <setting name="MainWindowStartMaximized" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="SavePathFolder" serializeAs="String">
        <value />
      </setting>
      <setting name="XMLFilesPathFolder" serializeAs="String">
        <value />
      </setting>
      <setting name="BackgroundOutputPath" serializeAs="String">
        <value />
      </setting>
      <setting name="BackgroundInputPath" serializeAs="String">
        <value />
      </setting>
    </VECTOTrailer.Properties.Settings>
  </userSettings>
  <applicationSettings>
    <VECTOTrailer.Properties.Settings>
      <setting name="UserGuideFilePath" serializeAs="String">
        <value>User Manual/UserManual.pdf</value>
      </setting>
      <setting name="VectoHelpPath" serializeAs="String">
        <value>User Manual/help.html</value>
      </setting>
      <setting name="MasterExcelPath" serializeAs="String">
        <value>User Manual/MasterExcel.xlsx</value>
      </setting>
      <setting name="LiteraturePath" serializeAs="String">
        <value>https://www.google.at</value>
      </setting>
    </VECTOTrailer.Properties.Settings>
  </applicationSettings>
</configuration>
